Magick++: Magick::DrawableTranslation Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableTranslation Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTranslation:
[legend]
Collaboration diagram for Magick::DrawableTranslation:
[legend]

## Public Member Functions
| DrawableTranslation (double x_, double y_)
| ~DrawableTranslation (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2152 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableTranslation::DrawableTranslation | ( | double | x_,
|  | double | y_
| ) |  |
| inline

Definition at line 2155 of file Drawable.h.

Magick::DrawableTranslation::~DrawableTranslation | ( | void |  | ) |

Definition at line 1535 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableTranslation::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1543 of file Drawable.cpp.

void Magick::DrawableTranslation::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1539 of file Drawable.cpp.

void Magick::DrawableTranslation::x | ( | double | x_ | ) |
| inline

Definition at line 2168 of file Drawable.h.

double Magick::DrawableTranslation::x | ( | void |  | ) | const
| inline

Definition at line 2172 of file Drawable.h.

void Magick::DrawableTranslation::y | ( | double | y_ | ) |
| inline

Definition at line 2177 of file Drawable.h.

double Magick::DrawableTranslation::y | ( | void |  | ) | const
| inline

Definition at line 2181 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp